Create knowledge source
Create knowledge source. See the OpenAPI-defined parameters, request body, and responses below.
POST
/KnowledgeCreate knowledge source. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint cria um novo conhecimento de agente com os dados fornecidos.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
This operation has no path, query, or header parameters.
Request body
Content type: application/json · Schema: KnowledgeDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
content | string | No | — | nullable |
groupIds | array<integer · int32> | No | — | nullable |
Example request
curl --request POST \
--url 'https://api.zild.ai/Knowledge' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"name": "string",
"content": "string",
"groupIds": [
0
]
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Conhecimento criado com sucesso | application/json · KnowledgeDto |
Example response (200):
{
"id": 0,
"name": "string",
"content": "string",
"groupIds": [
0
]
}
Data models
KnowledgeDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
content | string | No | — | nullable |
groupIds | array<integer · int32> | No | — | nullable |